For the complete documentation index, see llms.txt. This page is also available as Markdown.

Teams

Teams are containers that contain scenarios and data accessible only by the members of the team. The API endpoints discussed further allow you to manage teams. Read more about teams.

List teams

get
/teams

Gets the list of teams in the organization with specified organizationId.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Query parameters
organizationIdintegerRequired

The ID of the organization.

Example: 1
includePrivateSpacesbooleanOptional

When true, the caller's private space(s) — companies of type personal — are included in the list alongside standard teams. Defaults to false. Has no effect on instances where private spaces are not available. Request cols[]=type to tell private spaces apart from standard teams in the response.

Default: falseExample: true
colsstring[]Optional

Specifies columns that are returned in the response. Use the cols[] parameter for every column that you want to return in the response. For example GET /endpoint?cols[]=key1&cols[]=key2 to get both key1 and key2 columns in the response.

Check the "Filtering" section for a full example.

pg[sortBy]stringOptional

The value that will be used to sort returned entities by.

pg[offset]integerOptional

The value of entities you want to skip before getting entities you need.

pg[sortDir]string · enumOptional

The sorting order. It accepts the ascending and descending direction specifiers.

Possible values:
pg[limit]integerOptional

Sets the maximum number of results per page in the API call response. For example, pg[limit]=100. The default number varies with different API endpoints.

Responses
200

Successful response

application/json
get/teams
GET /api/v2/teams?organizationId=1 HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
{
  "default-cols": {
    "summary": "Gets the list of teams",
    "description": "Gets the list of teams in the organization with specified `organizationId`",
    "teams": [
      {
        "id": 5,
        "name": "My Team",
        "organizationId": 5
      }
    ],
    "pg": {
      "sortBy": "name",
      "sortDir": "asc",
      "limit": 10000,
      "offset": 0
    }
  },
  "all-cols": {
    "summary": "Gets the list of teams with all the data",
    "description": "Gets the list of teams with all the data in the organization with specified `organizationId`",
    "teams": [
      {
        "id": 5,
        "name": "My Team",
        "organizationId": 5,
        "operationsLimit": 10000,
        "transferLimit": "100",
        "consumedOperations": 10,
        "consumedTransfer": "100",
        "isPaused": false,
        "consumedCenticredits": 1000
      }
    ],
    "pg": {
      "sortBy": "name",
      "sortDir": "asc",
      "limit": 10000,
      "offset": 0
    }
  },
  "with-private-spaces": {
    "summary": "Gets teams and the caller's private space",
    "description": "With `includePrivateSpaces=true` and `cols[]=type`, the caller's private space is\nreturned alongside standard teams and can be told apart by its `type` of `personal`.\n",
    "teams": [
      {
        "id": 5,
        "name": "My Team",
        "organizationId": 5,
        "type": "standard"
      },
      {
        "id": 42,
        "name": "My private space",
        "organizationId": 5,
        "type": "personal"
      }
    ],
    "pg": {
      "sortBy": "name",
      "sortDir": "asc",
      "limit": 10000,
      "offset": 0
    }
  }
}

Create a team

post
/teams

Create a new team in the organization with the specified organizationId.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Body
namestringRequired

The name of the team.

organizationIdintegerRequired

The ID of the organization.

operationsLimitinteger · max: 2000000000Optional

The maximum number of operations allowed for the team. The maximum matches the highest number of credits an organization can be licensed for.

Responses
200

Successful response

application/json
post/teams
POST /api/v2/teams HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "name": "New Team",
  "organizationId": 1
}
200

Successful response

{
  "team": {
    "id": 26,
    "name": "New Team",
    "organizationId": 1,
    "operationsLimit": 1,
    "transferLimit": "536870",
    "globalAgentsEnabled": false
  },
  "userTeamRole": {
    "usersRoleId": 1,
    "userId": 1,
    "teamId": 26,
    "changeable": false
  }
}

Get team details

get
/teams/{teamId}

Returns information about the team with the specified teamId.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
teamIdintegerRequired

The ID of the team.

Example: 22
Query parameters
colsstring[]Optional

Specifies columns that are returned in the response. Use the cols[] parameter for every column that you want to return in the response. For example GET /endpoint?cols[]=key1&cols[]=key2 to get both key1 and key2 columns in the response.

Check the "Filtering" section for a full example.

Example: {"value":["id","name","organizationId","activeScenarios","activeApps","operations","transfer","centicredits","operationsLimit","transferLimit","consumedOperations","consumedTransfer","isPaused","consumedCenticredits","type"]}
Responses
200

Successful response

application/json
get/teams/{teamId}
GET /api/v2/teams/{teamId} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
{
  "team": {
    "id": 1,
    "name": "Team 1",
    "organizationId": 1,
    "globalAgentsEnabled": false
  }
}

Delete a team

delete
/teams/{teamId}

Deletes the team with the specified teamId. Make also deletes all data associated with the team, for example scenarios, webhooks or custom team variables.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
teamIdintegerRequired

The ID of the team.

Example: 22
Query parameters
confirmedbooleanOptional

Set this parameter to true to confirm the team deletion. Otherwise, the API call returns an error and the team is not deleted.

Example: true
Responses
200

Successful response

application/json
teamintegerOptional
delete/teams/{teamId}
DELETE /api/v2/teams/{teamId} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "team": 22
}

Update a team

patch
/teams/{teamId}

Updates information about the team with the specified teamId.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
teamIdintegerRequired

The ID of the team.

Example: 22
Query parameters
colsstring[]Optional

Specifies columns that are returned in the response. Use the cols[] parameter for every column that you want to return in the response. For example GET /endpoint?cols[]=key1&cols[]=key2 to get both key1 and key2 columns in the response.

Check the "Filtering" section for a full example.

Example: {"value":["id","name","organizationId","activeScenarios","activeApps","operations","transfer","centicredits","operationsLimit","transferLimit","consumedOperations","consumedTransfer","isPaused","consumedCenticredits","type"]}
Body
namestring · min: 1 · max: 128Optional

The new name of the team.

operationsLimitinteger · max: 2000000000 · nullableOptional

The maximum number of operations allowed for the team. The maximum matches the highest number of credits an organization can be licensed for. null removes the limit.

scenarioDraftsbooleanOptionalDeprecated

This property is deprecated. It is only supported on private instances and ignored on Make's public cloud.

Responses
200

Successful response

application/json
patch/teams/{teamId}
PATCH /api/v2/teams/{teamId} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 52

{
  "name": "Sales people team",
  "operationsLimit": 10000
}
200

Successful response

{
  "team": {
    "id": 22,
    "name": "Sales people team",
    "organizationId": 1,
    "globalAgentsEnabled": false
  }
}

List team variables

get
/teams/{teamId}/variables

Retrieves the collection of team variables. The response contains all team variables if your account has the custom variables feature available. Otherwise, the response contains only Make system variables.

Check availability of the custom variables feature with the API call GET /organizations/{organizationId} for the organization to which the team belongs. If the response contains "customVariables": true pair in the license object then you have access to the custom variables feature.

Refer to the Make pricing page for Make pricing plans overview.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
teamIdintegerRequired

The ID of the team.

Example: 22
Responses
200

Successful response

application/json
get/teams/{teamId}/variables
GET /api/v2/teams/{teamId}/variables HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "teamVariables": {
    "name": "userId",
    "typeId": 1,
    "value": 123,
    "isSystem": false
  }
}

Create team variable

post
/teams/{teamId}/variables

Creates new team variable. You can check the availability of the custom variables feature with the API call GET /organizations/{organizationId} for the organization to which the team belongs. If the API call response contains "customVariables": true pair in the license object then you have access to the custom variables feature.

A successful response contains all information about the new variable. If you don't have the custom variables feature available then the API call returns the error 404.

Refer to the Make pricing page for Make pricing plans overview.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
teamIdintegerRequired

The ID of the team.

Example: 22
Body
typeIdnumberOptional

Number representing the type of the custom variable. The mapping of typeId and variable types is as follows:

  • 1: number,
  • 2: string,
  • 3: boolean,
  • 4: datein ISO 8601 compliant format YYYY-MM-DDTHH:mm:ss.sssZ. For example: 1998-03-06T12:31:00.000Z.
valueone ofOptional

Value assigned to the custom variable.

stringOptional
or
booleanOptional
or
numberOptional
or
or
namestringOptional

The name of the variable. You can use letters, digits, $ and _ characters in the custom variable name.

Responses
200

Successful response

application/json
post/teams/{teamId}/variables
POST /api/v2/teams/{teamId}/variables HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 40

{
  "typeId": 1,
  "value": 123,
  "name": "userId"
}
200

Successful response

{
  "teamVariable": {
    "name": "userId",
    "typeId": 1,
    "value": 123,
    "isSystem": false
  }
}

Delete team variable

delete
/teams/{teamId}/variables/{variableName}

Deletes team variable.

If you don't have the custom variables feature available then the API call returns error 404. Check the availability of the custom variables feature with the API call GET /organizations/{organizationId} for the organization in which the team belongs. If the response contains "customVariables": true pair in the license object then you have access to the custom variables feature.

Refer to the Make pricing page for Make pricing plans overview.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
teamIdintegerRequired

The ID of the team.

Example: 22
variableNamestringRequired

The name of the custom variable.

Example: userID
Query parameters
confirmedbooleanOptional

Set to true to confirm deleting the custom variable. Otherwise the API call fails with the error IM004 (406).

Example: true
Responses
200

Successful response

application/json
okintegerOptional
delete/teams/{teamId}/variables/{variableName}
DELETE /api/v2/teams/{teamId}/variables/{variableName} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "ok": 1
}

Update team variable

patch
/teams/{teamId}/variables/{variableName}

Updates custom team variable with the specified variable name. Only parameters specified in the request body are updated.

You can check the availability of the custom variables feature with the API call GET /organizations/{organizationId} for the organization to which the team belongs. If the response contains "customVariables": true pair in the license object then you have access to the custom variables feature.

A successful response contains all information about the updated variable. If you don't have the custom variables feature available then the API call returns the error 404.

Refer to the Make pricing page for the Make pricing plans overview.

Update the variable typeId accordingly when you are updating the variable value. Make checks whether the variable type and value match in the request body. There is no check for incorrect variable type when you update only variable value and vice versa.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
teamIdintegerRequired

The ID of the team.

Example: 22
variableNamestringRequired

The name of the custom variable.

Example: userID
Body
typeIdnumberOptional

Number representing the type of the custom variable. The mapping of typeId and variable types is as follows:

  • 1: number,
  • 2: string,
  • 3: boolean,
  • 4: datein ISO 8601 compliant format YYYY-MM-DDTHH:mm:ss.sssZ. For example: 1998-03-06T12:31:00.000Z.
valueone ofOptional

Value assigned to the custom variable.

stringOptional
or
booleanOptional
or
numberOptional
or
or
Responses
200

Successful response

application/json
patch/teams/{teamId}/variables/{variableName}
PATCH /api/v2/teams/{teamId}/variables/{variableName} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "value": 221
}
200

Successful response

{
  "teamVariable": {
    "name": "userId",
    "typeId": 1,
    "value": 251
  }
}

History of custom variable updates

get
/teams/{teamId}/variables/{variableName}/history

Gets the history of updates of the specified custom variable. The response contains the ID value of the variable history entry and a diffObject. The diffObject contains:

  • the original value,

  • the new value,

  • the timestamp of the update,

  • the author of the update.

If the variable doesn't have any updates, the diffObject contains the current value of the variable instead of the original and new values.

The update history entries are sorted from newest to latest.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
teamIdintegerRequired

The ID of the team.

Example: 22
variableNamestringRequired

The name of the custom variable.

Example: userID
Responses
200

Successful response

application/json
get/teams/{teamId}/variables/{variableName}/history
GET /api/v2/teams/{teamId}/variables/{variableName}/history HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "teamVariableHistory": [
    {
      "id": 1,
      "diffObject": {
        "name": "userId",
        "value": 11,
        "typeId": 1
      },
      "changed": "2022-08-02T09:37:05.364Z",
      "action": "team_variable_created",
      "author": "Jon Doe"
    },
    {
      "id": 2,
      "diffObject": {
        "old": {
          "value": 11,
          "typeId": 1
        },
        "new": {
          "value": 23,
          "typeId": 1
        }
      },
      "changed": "2022-08-02T09:37:05.364Z",
      "action": "team_variable_edited",
      "author": "Jon Doe"
    }
  ]
}

Get team usage

get
/teams/{teamId}/usage

Retrieves a list of daily centicredits, operations, and data transfer usage for all scenarios within a specified team over the past 30 days.

By default, the endpoint uses the timezone of the user making the API call to define the start and end of each day in the 30-day timeframe.

To use the organization's timezone instead, set the organizationTimezone parameter to true. This ensures that the daily aggregates align with the organization's operational hours. This is especially useful for scenarios where aggregated data needs to align with the organization's operational hours.

For instance, a remote data analyst in India working for a Czech company can set organizationTimezone=true to ensure the usage data reflects the company's timezone, providing more relevant and accurate insights for organizational reporting and analysis.

For more information on timezones in Make, please refer to our Help Center article.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
teamIdintegerRequired

The ID of the team.

Example: 22
Query parameters
organizationTimezonebooleanOptional

When set to true, the endpoint will calculate and return usage data based on the organization's timezone instead of the user's local timezone.

Example: true
Responses
200

Successfully retrieved usage data

application/json
get/teams/{teamId}/usage
GET /api/v2/teams/{teamId}/usage HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
{
  "data": [
    {
      "date": "2024-05-30",
      "operations": 9,
      "dataTransfer": 135,
      "centicredits": 900
    },
    {
      "date": "2024-05-31",
      "operations": 15,
      "dataTransfer": 157,
      "centicredits": 1500
    }
  ]
}

Get feature controls of an organization which the team belongs to

get
/teams/{teamId}/feature-controls

Retrieves all feature controls for the specified organization which the team belongs to.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
teamIdintegerRequired

The ID of the team.

Example: 11
Query parameters
featureControlNamestringOptional

The feature control name.

Example: Make AI Tools
colsstring[]Optional

Specifies columns that are returned in the response. Use the cols[] parameter for every column that you want to return in the response. For example GET /endpoint?cols[]=key1&cols[]=key2 to get both key1 and key2 columns in the response.

Check the "Filtering" section for a full example.

Responses
200

Successfully retrieved feature controls

application/json
enableAllControlFeaturesbooleanOptional
get/teams/{teamId}/feature-controls
GET /api/v2/teams/{teamId}/feature-controls HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successfully retrieved feature controls

{
  "enableAllControlFeatures": false,
  "featureControls": [
    {
      "id": 2,
      "name": "Make AI Tools",
      "label": {
        "en": "Make AI Tools"
      },
      "description": {
        "en": "Access to Make AI Tools"
      },
      "tags": [
        "Beta"
      ],
      "warning_message": {
        "en": "This feature is in beta."
      },
      "enabled": true
    },
    {
      "id": 1,
      "name": "Advanced Security",
      "label": {
        "en": "Advanced AI Security"
      },
      "description": {
        "en": "Enhanced security features for your organization"
      },
      "tags": [
        "AI"
      ],
      "warning_message": {
        "en": "This feature uses AI."
      },
      "enabled": false
    }
  ]
}

Last updated